## net.sf.statsvn.output
Class SvnConfigurationOptions

    java.lang.Object
      net.sf.statsvn.output.SvnConfigurationOptions

    public final class SvnConfigurationOptions

extends java.lang.Object

Class for storing all command line parameters. The parameters are set by the `Main.main(java.lang.String[])` method. Interested classes can read all parameter values from here.

Version:
  $Id: ConfigurationOptions.java,v 1.17 2005/03/20 19:12:25 squig Exp $
Author:
  jentzsch

Method Summary
`static java.lang.String` `getCacheDir()` Returns the cacheDir.
`static java.io.File` `getCheckedOutDirectoryAsFile()`
`static int` `getNumberSvnDiffThreads()`
`static ISvnProcessor` `getProcessor()`
`static java.lang.String` `getSvnPassword()`
`static java.lang.String` `getSvnUsername()`
`static java.lang.String` `getTagsDirectory()` Following request 1692245, add option -tags-dir to the command line.
`static TaskLogger` `getTaskLogger()`
`static long` `getThresholdInMsToUseConcurrency()`
`static boolean` `isAnonymize()`
`static boolean` `isDumpContent()`
`static boolean` `isLegacyDiff()` Should we use a one diff per-file-per-revision or should we use the newer one diff per-revision?
`static boolean` `isUsingSVNKit()` Should we use svnkit to query the repository
`static void` `setAnonymize(boolean bAnon)`
`static void` `setCacheDir(java.lang.String cacheDir)` Sets the cacheDir.
`static void` `setCacheDirToDefault()` Sets the cacheDir to the DEFAULT_CACHE_DIR
`static void` `setDumpContent(boolean dumpContent)`
`static void` `setLegacyDiff(boolean isLegacy)` Should we use a one diff per-file-per-revision or should we use the newer one diff per-revision?
`static void` `setNumberSvnDiffThreads(int numberSvnDiffThreads)`
`static void` `setSvnPassword(java.lang.String svnPassword)`
`static void` `setSvnUsername(java.lang.String svnUsername)`
`static void` `setTagsDirectory(java.lang.String tagsDir)` Following request 1692245, add option -tags-dir to the command line.
`static void` `setTaskLogger(TaskLogger taskLogger)`
`static void` `setThresholdInMsToUseConcurrency(long thresholdToUseConcurrency)`
`static void` `setUsingSvnKit(boolean isSvnKit)` Should we use svnkit to query the repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCacheDir

    public static java.lang.String getCacheDir()

  Returns the cacheDir.

  Returns:
    String output Directory

### setCacheDir

    public static void setCacheDir(java.lang.String cacheDir)
                            throws net.sf.statcvs.output.ConfigurationException

  Sets the cacheDir.

  Parameters:
    `cacheDir` - The cacheDir to set
  Throws:
    `net.sf.statcvs.output.ConfigurationException` - if the cache directory cannot be created

### setCacheDirToDefault

    public static void setCacheDirToDefault()
                                     throws net.sf.statcvs.output.ConfigurationException

  Sets the cacheDir to the DEFAULT_CACHE_DIR

  Throws:
    `net.sf.statcvs.output.ConfigurationException` - if the cache directory cannot be created

### getCheckedOutDirectoryAsFile

    public static java.io.File getCheckedOutDirectoryAsFile()

### getSvnPassword

    public static java.lang.String getSvnPassword()

  Returns:
    Returns the svnPassword.

### setSvnPassword

    public static void setSvnPassword(java.lang.String svnPassword)

  Parameters:
    `svnPassword` - The svnPassword to set.

### getSvnUsername

    public static java.lang.String getSvnUsername()

  Returns:
    Returns the svnUsername.

### setSvnUsername

    public static void setSvnUsername(java.lang.String svnUsername)

  Parameters:
    `svnUsername` - The svnUsername to set.

### getTaskLogger

    public static TaskLogger getTaskLogger()

  Returns:
    the taskLogger

### setTaskLogger

    public static void setTaskLogger(TaskLogger taskLogger)

  Parameters:
    `taskLogger` - the taskLogger to set

### getNumberSvnDiffThreads

    public static int getNumberSvnDiffThreads()

  Returns:
    the numberSvnDiffThreads

### setNumberSvnDiffThreads

    public static void setNumberSvnDiffThreads(int numberSvnDiffThreads)

  Parameters:
    `numberSvnDiffThreads` - the numberSvnDiffThreads to set

### getThresholdInMsToUseConcurrency

    public static long getThresholdInMsToUseConcurrency()

  Returns:
    the thresholdInMsToUseConcurrency

### setThresholdInMsToUseConcurrency

    public static void setThresholdInMsToUseConcurrency(long thresholdToUseConcurrency)

  Parameters:
    `thresholdInMsToUseConcurrency` - the thresholdInMsToUseConcurrency to set

### setDumpContent

    public static void setDumpContent(boolean dumpContent)

### isDumpContent

    public static boolean isDumpContent()

### setAnonymize

    public static void setAnonymize(boolean bAnon)

### isAnonymize

    public static boolean isAnonymize()

### setTagsDirectory

    public static void setTagsDirectory(java.lang.String tagsDir)

  Following request 1692245, add option -tags-dir to the command line.

### getTagsDirectory

    public static java.lang.String getTagsDirectory()

  Following request 1692245, add option -tags-dir to the command line.

### isLegacyDiff

    public static boolean isLegacyDiff()

  Should we use a one diff per-file-per-revision or should we use the newer one diff per-revision?

  Returns:
    true if legacy diff should be used.

### setLegacyDiff

    public static void setLegacyDiff(boolean isLegacy)

  Should we use a one diff per-file-per-revision or should we use the newer one diff per-revision?

  Parameters:
    `isLegacy` - true if the legacy diff should be used.

### isUsingSVNKit

    public static boolean isUsingSVNKit()

  Should we use svnkit to query the repository

  Returns:
    true if we should be using SVN kit.

### setUsingSvnKit

    public static void setUsingSvnKit(boolean isSvnKit)

  Should we use svnkit to query the repository.

  Parameters:
    `isSvnKit` - true if we should use svnkit

### getProcessor

    public static ISvnProcessor getProcessor()